Search documentation of stripe_elixir

# StripeElixir.Services.Reporting.ReportTypeService (stripe_elixir v0.1.0)

Copy Markdown View Source

reporting_report_type

The Report Type resource corresponds to a particular type of report, such as the "Activity summary" or "Itemized payouts" reports. These objects are identified by an ID belonging to a set of enumerated values. See API Access to Reports documentation for those Report Type IDs, along with required and optional parameters.

Note that certain report types can only be run based on your live-mode data (not test-mode data), and will error when queried without a live-mode API key.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all Report Types

retrieve(client, report_type, params \\ %{}, opts \\ [])

Retrieve a Report Type

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all Report Types

Returns a full list of Report Types.

# retrieve(client, report_type, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a Report Type

Retrieves the details of a Report Type. (Certain report types require a live-mode API key.)